fontconfig-native build error


Craig McQueen
 

I've been building a project with 'morty' with no problems for a few months, using Ubuntu 16.04.

Today, I've just tried doing a build on a fresh Ubuntu 17.10 VM. But I'm getting a build error for fontconfig-native:


x86_64-linux-libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../../fontconfig-2.12.1/src -I.. -I../../fontconfig-2.12.1 -I../../fontconfig-2.12.1/src -I/home/craigm/yocto/poky/build/tmp/sysroots/x86_64-linux/usr/include/freetype2 -I/home/craigm/yocto/poky/build/tmp/sysroots/x86_64-linux/usr/include -I/home/craigm/yocto/poky/build/tmp/sysroots/x86_64-linux/usr/include -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-strict-aliasing -DFC_CACHEDIR=\"/home/craigm/yocto/poky/build/tmp/sysroots/x86_64-linux/var/cache/fontconfig\" -DFONTCONFIG_PATH=\"/home/craigm/yocto/poky/build/tmp/sysroots/x86_64-linux/etc/fonts\" -isystem/home/craigm/yocto/poky/build/tmp/sysroots/x86_64-linux/usr/include -isystem/home/craigm/yocto/poky/build/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -pthread -c ../../fontconfig-2.12.1/src/fcobjs.c -fPIC -DPIC -o .libs/fcobjs.o
ERROR: oe_runmake failed
../../fontconfig-2.12.1/src/fcmatch.c:324:63: error: 'PRI_CHAR_WIDTH_STRONG' undeclared here (not in a function); did you mean 'PRI_WIDTH_STRONG'?
#define FC_OBJECT(NAME, Type, Cmp) { FC_##NAME##_OBJECT, Cmp, PRI_##NAME##_STRONG, PRI_##NAME##_WEAK },
^
../../fontconfig-2.12.1/src/fcobjs.h:54:1: note: in expansion of macro 'FC_OBJECT'
FC_OBJECT (CHAR_WIDTH, FcTypeInteger, NULL)
^~~~~~~~~
../../fontconfig-2.12.1/src/fcmatch.c:324:84: error: 'PRI_CHAR_WIDTH_WEAK' undeclared here (not in a function); did you mean 'PRI_WIDTH_WEAK'?
#define FC_OBJECT(NAME, Type, Cmp) { FC_##NAME##_OBJECT, Cmp, PRI_##NAME##_STRONG, PRI_##NAME##_WEAK },
^
../../fontconfig-2.12.1/src/fcobjs.h:54:1: note: in expansion of macro 'FC_OBJECT'
FC_OBJECT (CHAR_WIDTH, FcTypeInteger, NULL)
^~~~~~~~~
Makefile:632: recipe for target 'fcmatch.lo' failed
make[3]: *** [fcmatch.lo] Error 1


Funnily enough, fontconfig (not native) builds fine; it's only fontconfig-native that gives the above error.

Any advice on this? I would consider going back to Ubuntu 16.04; I would also consider moving from morty to pyro or rocko (it's on my to-do list).

--
Craig McQueen

Join yocto@lists.yoctoproject.org to automatically receive all group messages.